Subject: Re: [PATCH v2 08/10] cxl: Allow the kernel to trust that an image won't change on PERST.

From: Daniel Axtens <[email-masked]>
Date: Tue, 11 Aug 2015 21:22:37 +1000

> So I'm not super all over the putting all sorts of code inside CONFIG_CXL_EEH,
> I understand that there is another driver being merged and they'll use
> CONFIG_CXL_EEH so that both this driver and the other driver can go in the same
> merge window but does this mean you need to put it around everything here?
> 
> I may have misunderstood what you've told me but if the other driver depends on
> work done in this one (and not the other way around), if they depend on
> CONFIG_CXL_EEH which you create in the last patch, then they cannot be built
> until this series exists, so they can't have issues.
> 
> The one catch is that this series as is waits untill the last patch to actually
> create the symbol, and therefore compile everything so lets be sure you don't
> break bisecting. You might need to rethink the order of things in 8/10 and 9/10,
> I can't see anything obvious if it helps...
> 

Yeah, so you're right. I've taken the guards off everything except the
new API function. I still want to leave the patch that adds the symbol
at the end: that way you don't get the function unless it is actually
going to make a difference in the EEH process. 

The other driver (cxlflash) just guards the API function, inserting a
stub if it's not defined. So this setup will make our code cleaner and
will still let their code merge cleanly.

Thanks again for the review.

-- 
Regards,
Daniel